window.Gleam.initSearch([{"doc":"glistix_gleeunit","title":"glistix_gleeunit","content":"# glistix_gleeunit\n\nA fork of [`gleeunit`](https://github.com/lpil/gleeunit) for Glistix&#39;s Nix target.\n\nA custom test runner is included for when compiled to Nix, as well as\nto JavaScript (using `gleeunit`&#39;s original JavaScript test runner).\n\n**Note:** This is a Glistix project, and as such may require the\n[Glistix compiler](https://github.com/glistix/glistix) to be used.\n\nDocumentation is available on [HexDocs](https://hexdocs.pm/glistix_gleeunit/index.html).\n\n## Usage\n\nAdd this package to your Glistix project.\n\n```sh\nglistix add glistix_gleeunit --dev\n```\n\nAnd then call the `gleeunit.main` function from your test main function.\n\n```gleam\n// In test/yourapp_test.gleam\nimport gleeunit\n\npub fn main() {\n  gleeunit.main()\n}\n```\n\nNow any public function with a name ending in `_test` in the `test` directory\nwill be found and run as a test.\n\n```gleam\npub fn the_universe_test() {\n  let assert 1 = 1\n}\n```\n\nRun the tests by entering `glistix test` in the command line.\n\n### Deno\n\nIf using the Deno JavaScript runtime, you will need to add the following to your\n`gleam.toml`.\n\n```toml\n[javascript.deno]\nallow_read = [\n  &quot;gleam.toml&quot;,\n  &quot;test&quot;,\n  &quot;build&quot;,\n]\n```\n","url":"index.html"},{"doc":"gleeunit","title":"main","content":"pub fn main() -&gt; Nil\n Find and run all test functions for the current project using Erlang&#39;s EUnit\n test framework.\n\n Any Erlang or Gleam function in the `test` directory with a name editing in\n `_test` is considered a test function and will be run.\n\n If running on JavaScript or Nix tests will be run with a custom test runner.\n\nSynonyms:\ngleeunit.main\ngleeunit main","url":"gleeunit.html#main"},{"doc":"gleeunit","title":"gleeunit","content":"","url":"gleeunit.html"},{"doc":"gleeunit/should","title":"be_error","content":"pub fn be_error(a: Result(a, b)) -&gt; b\n\nSynonyms:\ngleeunit/should.be_error\ngleeunit/should be_error","url":"gleeunit/should.html#be_error"},{"doc":"gleeunit/should","title":"be_false","content":"pub fn be_false(actual: Bool) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_false\ngleeunit/should be_false","url":"gleeunit/should.html#be_false"},{"doc":"gleeunit/should","title":"be_none","content":"pub fn be_none(a: Option(a)) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_none\ngleeunit/should be_none","url":"gleeunit/should.html#be_none"},{"doc":"gleeunit/should","title":"be_ok","content":"pub fn be_ok(a: Result(a, b)) -&gt; a\n\nSynonyms:\ngleeunit/should.be_ok\ngleeunit/should be_ok","url":"gleeunit/should.html#be_ok"},{"doc":"gleeunit/should","title":"be_some","content":"pub fn be_some(a: Option(a)) -&gt; a\n\nSynonyms:\ngleeunit/should.be_some\ngleeunit/should be_some","url":"gleeunit/should.html#be_some"},{"doc":"gleeunit/should","title":"be_true","content":"pub fn be_true(actual: Bool) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_true\ngleeunit/should be_true","url":"gleeunit/should.html#be_true"},{"doc":"gleeunit/should","title":"equal","content":"pub fn equal(a: a, b: a) -&gt; Nil\n\nSynonyms:\ngleeunit/should.equal\ngleeunit/should equal","url":"gleeunit/should.html#equal"},{"doc":"gleeunit/should","title":"fail","content":"pub fn fail() -&gt; Nil\n\nSynonyms:\ngleeunit/should.fail\ngleeunit/should fail","url":"gleeunit/should.html#fail"},{"doc":"gleeunit/should","title":"not_equal","content":"pub fn not_equal(a: a, b: a) -&gt; Nil\n\nSynonyms:\ngleeunit/should.not_equal\ngleeunit/should not_equal","url":"gleeunit/should.html#not_equal"},{"doc":"gleeunit/should","title":"gleeunit/should","content":" A module for testing your Gleam code. The functions found here are\n compatible with the Erlang eunit test framework.\n\n More information on running eunit can be found in [the rebar3\n documentation](https://rebar3.org/docs/testing/eunit/).","url":"gleeunit/should.html"},{"doc":"glistix_gleeunit","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\nglistix_gleeunit.main\nglistix_gleeunit main","url":"glistix_gleeunit.html#main"},{"doc":"glistix_gleeunit","title":"glistix_gleeunit","content":"","url":"glistix_gleeunit.html"}]);